#### PyKDE - Python Bindings for KDE

# class TDEToolBarSeparator |
Table of contents
Modules
tdeui Classes
All Classes

Module | tdeui
Class | TDEToolBarSeparator
Inherits | TQFrame

### methods

- TDEToolBarSeparator (a0, l, parent, name = 0)

  returns a TDEToolBarSeparator instance
  Argument | Type | Default
  --- | --- | ---
  a0 | Orientation |
  l | bool |
  parent | TQToolBar |
  name | char | 0

- drawContents (a0)

  returns nothing
  In versions KDE 3.2.0 and above only
  Argument | Type | Default
  --- | --- | ---
  a0 | TQPainter |

- orientation ()

  returns (Orientation)

- setOrientation (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | Orientation |

- showLine ()

  returns (bool)

- sizeHint ()

  returns (TQSize)

- sizePolicy ()

  returns (TQSizePolicy)

- styleChange (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | TQStyle |